/*
  Kamer.h
  Copyright (c) 2014 Kenneth van Ewijk.  All right reserved.
*/

// ensure this library description is only included once
#ifndef Kamer_h
#define Kamer_h

// library interface description
class Kamer
{
  // user-accessible "public" interface
  public:
    Kamer(void);
    void setVolume(int);
    void setTemp(double);
    void setSurfaceArea(int, int);
    void calcTemp(int);
    int getVolume(void);
    double getTemp(void);
    int getSurfaceArea(void);
    double getHeatFlow(void);
    double getDeltaTemp(void);
  // code-accessible "private" interface
  private:
    void calcHeatFlow(int);
    int volume;
    double temp;
    int wallSurface;
    int windowSurface;
    int surfaceArea;
    double heatFlow;
    double deltaTemp;
};

#endif